<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <script>
        document.write('<base href="' + document.location + '" />');
    </script>
    <title>
        Tutorial
    </title>
    <style>
      <%- include(`${locals.partialsRoot}/_style`) %>
     </style>
     <%- include(`${locals.partialsRoot}/_head`) %>
</head>

<body>
    <tutorial-app>Loading tutorial...</tutorial-app>
        <%- include(`${locals.partialsRoot}/footer`) %>
        <!-- 1. Load libraries -->
        <!-- IE required polyfills, in this exact order -->
        <script src="/lib/angular/es6-shim.min.js"></script>
        <script src="/lib/angular/system-polyfills.js"></script>
        <script src="/lib/angular/angular2-polyfills.js"></script>
        <script src="/lib/angular/system.src.js"></script>
        <script src="/lib/angular/Rx.js"></script>
        <script src="/lib/angular/angular2.dev.js"></script>
        <script src="/lib/angular/http.dev.js"></script>

        <!--  <script src="https://code.angularjs.org/2.0.0-beta.12/router.dev.js"></script> -->

        <!-- 2. Configure SystemJS -->
        <script>
            System.config({
                packages: {
                    tutorial: {
                        format: 'register',
                        defaultExtension: 'js',
                        main: './boot.js'
                    },
                    common: {
                        defaultExtension: 'js'
                    },
                    test: {
                        defaultExtension: 'js'
                    },

                },
                map: {
                    common: "/app/common",
                    test: "/app/test",
                    tutorial: "/app/tutorial"
                }
            });

            System.import('tutorial')
                .then(null, console.error.bind(console));
        </script>
        <%- include(`${locals.partialsRoot}/_body`) %>

</body>

</html>
